Community
Fusion API and Scripts
Got a new add-in to share? Need something specialized to be scripted? Ask questions or share what you’ve discovered with the community.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Export To Origin Fail

2 REPLIES 2
Reply
Message 1 of 3
qkasriel26
153 Views, 2 Replies

Export To Origin Fail

Hello
I am currently attempting to use the "export to origin add-on to export this piece:

Screenshot 2023-05-11 at 12.09.44 PM.png

 

However, it just exports a small circle instead(Attached file)

I tried all of the advanced options, none worked. They all gave me the same circle.

When I export the face instead of the entire body, it gives me an error:

"

MyPoint.translateBy: Unexpected error calculating point bearing.MyArc.__init__: Unexpected failure.addEdgeToComposites: Unexpected failure.createCompositesFromFaces: Unexpected failure.Unexpected failure in execute.Traceback (most recent call last):
File "ShaperUtilities\commands\exportToOrigin\MyGeomMath.py", line 156, in bearingTo
Exception

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "ShaperUtilities\commands\exportToOrigin\MyGeomMath.py", line 1004, in __init__
File "ShaperUtilities\commands\exportToOrigin\MyGeomMath.py", line 182, in bearingTo
Exception

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "ShaperUtilities\commands\exportToOrigin\MyGeomMath.py", line 2319, in addEdgeToComposites
File "ShaperUtilities\commands\exportToOrigin\MyGeomMath.py", line 1033, in __init__
Exception

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "ShaperUtilities\commands\exportToOrigin\MyGeomMath.py", line 2683, in createCompositesFromFaces
File "ShaperUtilities\commands\exportToOrigin\MyGeomMath.py", line 2373, in addEdgeToComposites
Exception

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "ShaperUtilities\commands\exportToOrigin\entry.py", line 471, in command_execute
File "ShaperUtilities\commands\exportToOrigin\MyGeomMath.py", line 2705, in createCompositesFromFaces
Exception

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "ShaperUtilities\lib\fusion360utils\event_utils.py", line 69, in notify
File "ShaperUtilities\commands\exportToOrigin\entry.py", line 549, in command_execute
Exception

"


Can someone tell me what I'm doing wrong?

Also sorry if I'm making a stupid mistake I'm new here.

2 REPLIES 2
Message 2 of 3
kandennti
in reply to: qkasriel26

Hi @qkasriel26 .

 

I did not understand what "export to origin add-on" indicates.
I think contacting the add-on creator is the best way to resolve this.

Message 3 of 3
BrianEkins
in reply to: qkasriel26

Hi @qkasriel26, I wrote the Shaper add-in. Can you post the model here or send it directly to me, and I'll look at it.

---------------------------------------------------------------
Brian Ekins
Inventor and Fusion 360 API Expert
Website/Blog: https://EkinsSolutions.com

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk DevCon in Munich May 28-29th


Autodesk Design & Make Report